SbVec4ui32(3)

NAME
SbVec4ui32

SYNOPSIS

#include <Inventor/SbVec4ui32.h>

  Public Member Functions
SbVec4ui32 (const uint32_t v[4])
SbVec4ui32 (uint32_t x, uint32_t y, uint32_t z, uint32_t w)
SbVec4ui32 (const SbVec4i32 &v)
SbVec4ui32 (const SbVec4ub &v)
SbVec4ui32 (const SbVec4us &v)
SbVec4ui32 & setValue (const uint32_t v[4])
SbVec4ui32 & setValue (uint32_t x, uint32_t y, uint32_t z, uint32_t w)
SbVec4ui32 & setValue (const SbVec4i32 &v)
SbVec4ui32 & setValue (const SbVec4ub &v)
SbVec4ui32 & setValue (const SbVec4us &v)
const uint32_t * getValue (void) const
void getValue (uint32_t &x, uint32_t &y, uint32_t &z, uint32_t &w) const
uint32_t & operator[] (int i)
const uint32_t & operator[] (int i) const
int32_t dot (const SbVec4ui32 &v) const
void negate (void)
SbVec4ui32 & operator*= (int d)
SbVec4ui32 & operator*= (double d)
SbVec4ui32 & operator/= (int d)
SbVec4ui32 & operator/= (double d)
SbVec4ui32 & operator+= (const SbVec4ui32 &v)
SbVec4ui32 & operator-= (const SbVec4ui32 &v)
SbVec4ui32 operator- (void) const

  Protected Attributes
uint32_t vec [4]

Detailed Description

Since
    Coin 2.5

Author

Generated automatically by Doxygen for Coin from the source code.